aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2010-05-09 16:20:52 +0200
committerDenys Vlasenko <vda.linux@googlemail.com>2010-05-09 16:20:52 +0200
commit572b9a3019caf0929a41a45e1f3a8c7e59ec141c (patch)
treedc1b50e71ceb72ce1985e9cb1f642e61e1740c4f /scripts
parent65ebbc54d3344a7ab7318b37b85293b4a1848a6e (diff)
downloadbusybox-572b9a3019caf0929a41a45e1f3a8c7e59ec141c.tar.gz
tweak scripts/gen_build_files.sh
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/gen_build_files.sh17
1 files changed, 9 insertions, 8 deletions
diff --git a/scripts/gen_build_files.sh b/scripts/gen_build_files.sh
index 300d90c2a..3d757500c 100644
--- a/scripts/gen_build_files.sh
+++ b/scripts/gen_build_files.sh
@@ -1,14 +1,13 @@
#!/bin/sh
-test $# -ge 2 || exit 1
+test $# -ge 2 || { echo "Syntax: $0 SRCTREE OBJTREE"; exit 1; }
# cd to objtree
-cd "$2" || exit 1
+cd "$2" || { echo "Syntax: $0 SRCTREE OBJTREE"; exit 1; }
srctree="$1"
-find -type d \
-| while read; do
+find -type d | while read; do
d="$REPLY"
src="$srctree/$d/Kbuild.src"
@@ -16,11 +15,12 @@ find -type d \
if test -f "$src"; then
echo " CHK $dst"
- s=`grep -h '^//kbuild:' "$srctree/$d"/*.c | sed 's^//kbuild:^^'`
+ s=`sed -n 's@^//kbuild:@@p' "$srctree/$d"/*.c`
+ echo "# DO NOT EDIT. This file is generated from Kbuild.src" >"$dst.$$.tmp"
while read; do
test x"$REPLY" = x"INSERT" && REPLY="$s"
printf "%s\n" "$REPLY"
- done <"$src" >"$dst.$$.tmp"
+ done <"$src" >>"$dst.$$.tmp"
if test -f "$dst" && cmp -s "$dst.$$.tmp" "$dst"; then
rm "$dst.$$.tmp"
@@ -35,11 +35,12 @@ find -type d \
if test -f "$src"; then
echo " CHK $dst"
- s=`grep -h '^//config:' "$srctree/$d"/*.c | sed 's^//config:^^'`
+ s=`sed -n 's@^//config:@@p' "$srctree/$d"/*.c`
+ echo "# DO NOT EDIT. This file is generated from Config.src" >"$dst.$$.tmp"
while read; do
test x"$REPLY" = x"INSERT" && REPLY="$s"
printf "%s\n" "$REPLY"
- done <"$src" >"$dst.$$.tmp"
+ done <"$src" >>"$dst.$$.tmp"
if test -f "$dst" && cmp -s "$dst.$$.tmp" "$dst"; then
rm "$dst.$$.tmp"